package com.steering.mes.mcp.entity;

/**
 * 数据库表VRP_HOTEXP_FACE_D所对应的实体类（生成工具：代码生成器3.0）
 * @author shizhanlei-PC   date 2016-06-07
 */
@SuppressWarnings("serial")
public class VrpHotexpFaceDEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 外观检查主记录实绩编号
     */
    private String mResultNo = "";
    /**
     * 序号（管号）
     */
    private String sqeNo = "";
    /**
     * 管D1
     */
    private String endD1 = "";
    /**
     * 管D2
     */
    private String endD2 = "";
    /**
     * 管S1
     */
    private String endS1 = "";
    /**
     * 管S2
     */
    private String endS2 = "";
    /**
     * 管S3
     */
    private String endS3 = "";
    /**
     * 管S4
     */
    private String endS4 = "";
    /**
     * W
     */
    private String chkW = "";
    /**
     * L
     */
    private String chkL = "";
    /**
     * 表面质量
     */
    private String chkRes = "";
    /**
     * 是否合格(1合格，0不合格)
     */
    private String chkPass = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 外观检查主记录实绩编号
     * @return value
     */
    public String getMResultNo() {
        return mResultNo;
    }

    /**
     * 外观检查主记录实绩编号
     * @param mResultNo value
     */
    public void setMResultNo(String mResultNo) {
        this.mResultNo = mResultNo;
    }

    /**
     * 序号（管号）
     * @return value
     */
    public String getSqeNo() {
        return sqeNo;
    }

    /**
     * 序号（管号）
     * @param sqeNo value
     */
    public void setSqeNo(String sqeNo) {
        this.sqeNo = sqeNo;
    }

    /**
     * 管D1
     * @return value
     */
    public String getEndD1() {
        return endD1;
    }

    /**
     * 管D1
     * @param endD1 value
     */
    public void setEndD1(String endD1) {
        this.endD1 = endD1;
    }

    /**
     * 管D2
     * @return value
     */
    public String getEndD2() {
        return endD2;
    }

    /**
     * 管D2
     * @param endD2 value
     */
    public void setEndD2(String endD2) {
        this.endD2 = endD2;
    }

    /**
     * 管S1
     * @return value
     */
    public String getEndS1() {
        return endS1;
    }

    /**
     * 管S1
     * @param endS1 value
     */
    public void setEndS1(String endS1) {
        this.endS1 = endS1;
    }

    /**
     * 管S2
     * @return value
     */
    public String getEndS2() {
        return endS2;
    }

    /**
     * 管S2
     * @param endS2 value
     */
    public void setEndS2(String endS2) {
        this.endS2 = endS2;
    }

    /**
     * 管S3
     * @return value
     */
    public String getEndS3() {
        return endS3;
    }

    /**
     * 管S3
     * @param endS3 value
     */
    public void setEndS3(String endS3) {
        this.endS3 = endS3;
    }

    /**
     * 管S4
     * @return value
     */
    public String getEndS4() {
        return endS4;
    }

    /**
     * 管S4
     * @param endS4 value
     */
    public void setEndS4(String endS4) {
        this.endS4 = endS4;
    }

    /**
     * W
     * @return value
     */
    public String getChkW() {
        return chkW;
    }

    /**
     * W
     * @param chkW value
     */
    public void setChkW(String chkW) {
        this.chkW = chkW;
    }

    /**
     * L
     * @return value
     */
    public String getChkL() {
        return chkL;
    }

    /**
     * L
     * @param chkL value
     */
    public void setChkL(String chkL) {
        this.chkL = chkL;
    }

    /**
     * 表面质量
     * @return value
     */
    public String getChkRes() {
        return chkRes;
    }

    /**
     * 表面质量
     * @param chkRes value
     */
    public void setChkRes(String chkRes) {
        this.chkRes = chkRes;
    }

    /**
     * 是否合格(1合格，0不合格)
     * @return value
     */
    public String getChkPass() {
        return chkPass;
    }

    /**
     * 是否合格(1合格，0不合格)
     * @param chkPass value
     */
    public void setChkPass(String chkPass) {
        this.chkPass = chkPass;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }
}
